<!DOCTYPE html>
<html>
    <head> 
        <meta charset="UTF-8"/> 
        <script type="text/javascript" src="https://cdn.anychart.com/releases/8.3.0/js/anychart-base.min.js"></script>
    </head>

    <body>
        <h1>fibo</h1>
        <div id="container" style="width: 640px; height: 480px;"></div>

        <script>
            // https://docs.anychart.com/Quick_Start/Quick_Start

            const n = 100;
            const data = Array.from({length: n}, (_,i) => [i/n, Math.sin(2*Math.PI*i/n)]);

            anychart.onDocumentLoad(function () {

                const chart = anychart.line();
                const series = chart.line(data);
                series.stroke('2 blue');
                chart.bounds(0, 0, 640, 480);

                const xAxis = chart.xAxis();
                xAxis.labels().fontColor("black").fontWeight(1000);
                xAxis.title('x').stroke('1 black');
                xAxis.title().fontColor("black").fontSize(20);
                chart.xGrid().enabled(true).stroke("1 grey");

                const yAxis = chart.yAxis();
                yAxis.labels().fontColor("black").fontWeight(1000);
                yAxis.title('fiboIterative(x)').stroke('1 black');
                yAxis.title().fontColor("black").fontSize(20);
                chart.yGrid().enabled(true).stroke("1 grey");

                chart.container('container');
                chart.draw();

            });

        </script>

    </body>
</html>

